// File : complex_replacement.h
// Date : 2014-02-15
// Author:  Wolfgang Buescher, DL4YHF
// Purpose: Replacement for 'complex.h' for all compilers (like Borland) which,
//          for obscure reasons, cannot include complex.h from a *.C file.
//
// The original declaraction (in main_wsq_2 <space> seconds.c) ...
// > double _Complex output[FFT_SIZE_IN*2+1];
// was rewritten as :
// > T_DoubleComplex output[FFT_SIZE_IN*2+1];
// It was later discovered that the above 'output' was declared but never used.
// 
typedef struct tDoubleComplex
{ double re;
  double im;
} T_DoubleComplex;
